<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SICA</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK href="../general.css" type=text/css rel=stylesheet>
</head>
<BODY  onLoad="self.focus()">
<?php

include "../conexion.php";
$id=$_REQUEST["producto"];

  $sql_datosrs=mssql_query("SELECT count(*) as contar from producto where id='".$id."'",$conexion);
  $contar=mssql_result($sql_datosrs, 0, "contar");
  if($contar>=1)
  {
	echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0'>";
	echo "<tr class='texto' bgcolor='#006600'>";
	echo "<td><center><font color='#FFFFFF'>Nombre</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Descripcion</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Precio Unitario</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Precio Venta</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Producto Familia</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Marca</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Iva</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Codigo Barra</font></center></td>";
	echo "<td><center><font color='#FFFFFF'>Estado</font></center></td>";
	echo "</tr>";	
	$sql_datosre=mssql_query("SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,
							  marca,iva,codigobarra,estado
							  from producto where id='".$id."'",$conexion);
	$c=1; 
	while($datos= mssql_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $descripcion=$datos[2];
		   $preciounitario=$datos[3];
		   $precioventa=$datos[4];
		   $productofamilia=$datos[5];
		   $marca=$datos[6];
		   $iva=$datos[7];
		   $codigobarra=$datos[8];
		   $estado=$datos[9];
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
		   
		   $rs_producto_familia=mssql_query("SELECT id,nombre FROM Producto_familia where id='".$productofamilia."'",$conexion);
		   $nfamilia=mssql_result($rs_producto_familia,0, "nombre");		  
		   $rs_marca=mssql_query("SELECT id,nombre FROM marca where id='".$marca."'",$conexion);
		   $nmarca=mssql_result($rs_marca, 0, "nombre");
			if($c%2==0){$color="#EAEAEA";}
			else {$color="#BFBFBF";}
			echo " <tr class='texto' bgcolor=$color>";										  
					 echo "<td>".$nombre."</td>";
					 echo "<td>".$descripcion."</td>";
					 echo "<td>".$preciounitario."</td>";
					 echo "<td>".$precioventa."</td>";
					 echo "<td>".$nfamilia."</td>";
					 echo "<td>".$nmarca."</td>";
					 echo "<td>".$iva."</td>";
					 echo "<td>".$codigobarra."</td>";
					 echo "<td>".$nestado."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	  echo "</table></center>";
	

// reporte de kardex
	 $sql_insert=mssql_query("delete from tmp_fecha_kardex",$conexion);

	 $sql_datos=mssql_query("SELECT year(fechaingreso) as anoingreso,month(fechaingreso) as mesingreso
							 from inventario
							 where producto='".$id."'", $conexion);
	while($datos= mssql_fetch_row($sql_datos))//01
		{     
	       		
				 $rs_nuevaventa=mssql_query("SELECT count(*) as contar FROM tmp_fecha_kardex where ano='".$datos[0]."' and mes='".$datos[1]."'",$conexion);
				 $contar=mssql_result($rs_nuevaventa, 0, "contar");
				if($contar>=1){}
				else	
				 {$sql_insert=mssql_query("insert into tmp_fecha_kardex  (ano,mes)
												 values ('".$datos[0]."','".$datos[1]."')",$conexion);
				}								 
		}


	 $sql_fecha=mssql_query("SELECT ano,mes
							 from tmp_fecha_kardex order by ano,mes asc", $conexion);
		$c=1;$sumaentrada=0;$sumasalida=0;$sumaventa=0;
	while($fecha= mssql_fetch_row($sql_fecha))//01
		{    
		  $ano=$fecha[0];$mes=$fecha[1];
			echo "<br><center> <table width='100%' border='1' bordercolor='#ffffff' cellpadding='0' cellspacing='0'>";
			echo "<tr class='texto' bgcolor='#006600'>";
			echo "<td ><center><font color='#FFFFFF'>Periodo</font></center></td>";			
			echo "<td ><center><font color='#FFFFFF'>Saldo</font></center></td>";
			echo "<td ><center><font color='#FFFFFF'>Entrada</font></center></td>";
			echo "<td ><center><font color='#FFFFFF'>Salida</font></center></td>";
			echo "<td ><center><font color='#FFFFFF'>Total Venta</font></center></td>";
								
			echo "</tr>";
		   $sql_datos=mssql_query("SELECT sum(cantidad) from inventario 
		   						   where producto='".$id."'
								   and year(fechaingreso)='".$ano."' and month(fechaingreso)='".$mes."'", $conexion);
			 $saldolleva=0;
			while($datos= mssql_fetch_row($sql_datos))//01
				{   
					$cantidad=$datos[0];
					
					if($c%2==0){$color="#EAEAEA";}
					else {$color="#BFBFBF";}

					 $sql_datosventas=mssql_query("SELECT sum(cantidad) as cantidad,sum(total) as total from venta
												 where year(fecha)='".$ano."' and month(fecha)='".$mes."'", $conexion);
					 $cantidadv=mssql_result($sql_datosventas, 0, "cantidad");
					 $total=mssql_result($sql_datosventas, 0, "total");
					 
					 
					 $sumaventa=$sumaventa+$cantidadv;
					 $sumaentrada=$sumaentrada+$cantidad;
					 if($c==1)
					   {
					    $saldoinical=$cantidad-$cantidadv;
						$saldototal=$saldoinical;
					   }
					 else
					   {
					    $saldomnes=$cantidad-$cantidadv;
						$saldototal=$saldototal+$saldomnes;
					   }
					 echo "<tr >
							  <td width='20%'><div align='center'>".$ano." - ".$mes."</div></td>
							  <td width='20%' bgcolor=$color><div align='right'>$saldototal</div></td>							  
							  <td width='20%' bgcolor=$color><div align='right'>$cantidad</div></td>
							  <td width='20%' bgcolor=$color><div align='right'>$cantidadv</div></td>
							  <td width='20%' bgcolor=$color><div align='right'>".number_format($total,0)."</div></td>";
							echo"</tr>";
							$c=$c+1;
							
							$sumaentradatotal=$sumaentradatotal+$cantidad;
							$sumasalidatotal=$sumasalidatotal+$cantidadv;
							$sumaventatotal=$sumaventatotal+$total;
							
			 }//01
				 echo "</table></center>"; 
		}
							
							echo "<br><center> <table width='100%' border='1' bordercolor='#ffffff' cellpadding='0' cellspacing='0'>";
							 echo "<tr >
							  <td width='20%' bgcolor='#ffffcc'><div align='center'>Total General</div></td>
							  <td width='20%' bgcolor='#ffffcc'><div align='right'>$saldototal</div></td>							  
							  <td bgcolor='#ffffcc' width='20%'><div align='right'>$sumaentradatotal</div></td>
							  <td bgcolor='#ffffcc' width='20%'><div align='right'>$sumasalidatotal</div></td>
							  <td bgcolor='#ffffcc' width='20%'><div align='right'>".number_format($sumaventatotal,0)."</div></td> ";
							echo"</tr>";
							echo "</table></center>"; 
} 

?>
<form name="reporte" method="post" action="" >
  <div align="center">
    <input name='cerrar' type='button'  id='rep' value='Cerrar'   class="botones" onClick="window.close();" >
    <input name='rep' type='button'  id='rep2' value='Genera Excel'   class="botones" title="Clic para ver reporte"
						  onClick="javascript:window.open('reporte_excel_kardex.php?producto=<?php echo $id; ?>','Reportekardex','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >
  </div>
</form>
</body>
</html>